# Class BeanConfig.Setting

java.lang.Object
uk.ac.starlink.util.BeanConfig.Setting

Enclosing class:
  `BeanConfig`

public static class BeanConfig.Setting extends Object
Represents an object configuration operation.

Since:
  11 Sep 2020
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`Setting(String propName, String propValue)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getMutatorName()`
Returns the name of the instance mutator method corresponding to this setting's property.
`String`
`getPropertyName()`
Returns the property name.
`String`
`getPropertyValue()`
Returns the text representation of the property value.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Setting

public Setting(String propName, String propValue)
Constructor.

Parameters:
  `propName` - property name
  `propValue` - property value text representation

## Method Details

### getPropertyName

public String getPropertyName()
Returns the property name.

Returns:
  property name

### getPropertyValue

public String getPropertyValue()
Returns the text representation of the property value.

Returns:
  property value text representation

### getMutatorName

public String getMutatorName()
Returns the name of the instance mutator method corresponding to this setting's property.

Returns:
  set* method name

### toString

public String toString()

Overrides:
  `toString` in class `Object`